{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1 class="text-white">My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
            {% for project in list_projects %}
            {% empty %}
                <p class="text-white">You are not assigned to any projects</p>
            {% endfor %}
            <div class="shadow-lg p-3 mb-5 bg-body rounded">
                <table class="table table-dark table-hover opacity-0">
                    <thead class = "text-light">
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </thead>
                    <tbody class = "text-light">
                        {% for project in list_projects %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                </td>
                                <td>{{ project.tasks.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </main>
    {% endblock content %}
